/************************************************************************************
 *
 *   file name   : func_ad.c
 *   Contents    : A/D converter
 *
 *   Copyright, 2004 RENESAS TECHNOLOGY CORPORATION
 *                   AND RENESAS SOLUTIONS CORPORATION
 *
 *   Version     : 1.00  ( 2004-10-30 )
 *
*************************************************************************************/
/************************************************************************************
 *
 *      include
 *
*************************************************************************************/
#include <stdio.h>
#include <intr740.h>
#include "io7544.h"

/************************************************************************************
 *
 *      definition
 *
*************************************************************************************/
bit ICON2_bit4 = ICON2.4;
bit ICON2_bit5 = ICON2.5;
bit IREQ2_bit4 = IREQ2.4;
bit IREQ2_bit5 = IREQ2.5;
bit ADCON_bit4 = ADCON.4;

/*==================================================================================*/

void AD_Convert(void);

zpage char Read_Data;

/************************************************************************************
 *
 *      main
 *
*************************************************************************************/
void main(void)
{
		/***   wait 10ms(f(Ring))   ***/
		disable_interrupt();				/* Interrupt disable */
		CPUM		= 0x80;
		ICON2_bit5	= 0;
		IREQ2_bit5	= 0;
		TCSS2		= 0x02;
		PRE1		= 200-1;
		T1			= 100-1;
		IREQ2_bit5	= 0;
		nop_instruction();
		
		while(IREQ2_bit5 == 0){}
		
		CPUM = 0x00;
		
		/***   main program   ***/
		
		while(1){
			AD_Convert();

		}
}

/************************************************************************************
 *
 *      Sub-routine AD convert
 *
*************************************************************************************/
void AD_Convert(void){
		ICON2_bit4	= 0;					/* disable A/D converter interrupt */
		ADCON		= 0x10;					/* set analog input pin (P2_0/AN0) */
		IREQ2_bit4	= 0;					/* clear A/D converter interrupt request */
		ADCON_bit4	= 0;					/* start A/D convert */

		while(ADCON_bit4 == 0);				/* completed A/D converter ? -> no */
		Read_Data = AD;						/* read A/D convert value */
}


/************************************************************************************/
