/*			- lowinit.c -

  The function __low_level_init is called by the start-up code before doing 
  the normal initialization of data segments. If the return value is zero, 
  initialization is not performed.
 
  In the run-time library there is a dummy __low_level_init, which does 
  nothing but return 1. This means that the start-up routine proceeds with 
  initialization of data segments.
 
  To replace this dummy, compile a customized version (like the example
  below) and link it with the rest of your code.

  For the 6502, note that the bank system has NOT been initialized at
  this point.  You can initialize it here if you want to.

  $Id: lowinit.c 1.3 1997/11/14 13:23:11Z Laban Exp $
    
 */

#pragma codeseg(RCODE)

unsigned char __low_level_init (void)
{
  /* Insert your low-level initializations here */

    
  /*==================================*/
  /* Choose if segment initialization	*/
  /* should be done or not.		*/
  /* Return: 0 to omit seg_init	*/
  /*	       1 to run seg_init	*/
  /*==================================*/
  return 1;
}
